// OS-specific direct floppy access implementations

#include "stdafx.h"
#include "CFloppy.h"

#include "Util.h"

////////////////////////////////////////////////////////////////////////////////

CFloppyDisk::CFloppyDisk (CStream* pStream_) : CDisk(pStream_)
{
	DebugBreak();
}

/*static*/ bool CFloppyDisk::IsRecognised (CStream* pStream_)
{
	return false;
}

// Find the next sector in the current track
bool CFloppyDisk::FindNext (IDFIELD* pIdField_, BYTE* pbStatus_)
{
	*pbStatus_ = RECORD_NOT_FOUND;
	return false;
}

// Read the data for the last sector found
BYTE CFloppyDisk::ReadData (BYTE *pbData_, UINT* puSize_)
{
	*puSize_ = 0;
	return RECORD_NOT_FOUND;
}

// Read the data for the last sector found
BYTE CFloppyDisk::WriteData (BYTE *pbData_, UINT* puSize_)
{
	*puSize_ = 0;
	return RECORD_NOT_FOUND;
}

bool CFloppyDisk::Save ()
{
	return false;
}
