#ifndef PROFILE_H
#define PROFILE_H

#ifndef _WIN32
#define __int64 DWORD
#endif

typedef struct
{
	__int64 llCPU;
	__int64	llGFX;
	__int64	llSound;
	__int64	llBlit;
	__int64 llIdle;
	__int64 llOther;
}
PROFILE;

namespace Profile
{
	void Reset ();
	const char* GetStats ();
	void ProfileStart_ (__int64* pllNew_);
	void ProfileEnd_ ();

	extern PROFILE g_sProfile;
};

#define ProfileStart(t)	Profile::ProfileStart_(&Profile::g_sProfile.ll##t)
#define ProfileEnd()	Profile::ProfileEnd_()

#endif	// PERF_H
