#ifndef CFLOPPY_H
#define CFLOPPY_H

#include "CDisk.h"


class CFloppyDisk : public CDisk
{
	public:
		CFloppyDisk (CStream* pStream_);

	public:
		static bool IsRecognised (CStream* pStream_);

	public:
		bool FindNext (IDFIELD* pIdField_, BYTE* pbStatus_);
		BYTE ReadData (BYTE* pbData_, UINT* puSize_);
		BYTE WriteData (BYTE* pbData_, UINT* puSize_);
		bool Save ();

	protected:
		BYTE m_abTrackCache[MAX_DISK_SIDES * MAX_DISK_TRACKS];
};

#endif	// CFLOPPY_H
