#ifndef FRAME_H
#define FRAME_H

namespace Frame
{
	bool Init ();
	void Exit ();

	void Start ();
	void Update (int nLine_, int nLineCycle_);
	void End ();

	bool Lock (BYTE** pFrame_, LONG* plPitch);
	void Unlock ();

	void Clear ();
	void Redraw ();
}

#endif
