#ifndef SOUND_H
#define SOUND_H

namespace Sound
{
	bool Init ();
	void Exit (bool fReinit_=false);

	void Stop ();
	void Start ();

	// Functions used to make sound modifications
	void WriteAddress (BYTE bReg_);
	void WriteData (BYTE bVal_);
	void Click (int bClick_);

	void Update ();
	void FrameUpdate ();
	void Silence ();
};

#endif	// SOUND_H
